package com.example.hellosy;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

import com.example.switchyard.switchyard_example.ExternalTestService;

@Service(InternalTestService.class)
public class InternalTestServiceBean implements InternalTestService {

	@Inject
	@Reference
	ExternalTestService extTestService;
	
	@Override
	public void doInternalTest(String name) {
		System.out.println("do Internal test: " + name);
		extTestService.doExternalTest(name);
	}

}
