package com.example.hellosy;

import java.io.Serializable;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.switchyard.component.bean.Reference;

@Named
@RequestScoped
public class RichBean implements Serializable {

	@Inject
	@Reference
	InternalTestService internal;
	
	private static final long serialVersionUID = -2403138958014741653L;

	public void doTest()
	{
		System.out.println("start rich bean doTest");
		internal.doInternalTest("name from rich bean");
	}
}
